package com.xhkjedu.smarking.mapper.report.reportother;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportother.MsrAnalyze;
import org.apache.ibatis.annotations.Param;

/**
 * @Description 阅卷报告-阅卷报告主表 Mapper 接口
 * @Author auto
 * @Date 2025-01-06
 */
public interface MsrAnalyzeMapper extends TkMapper<MsrAnalyze> {

    //清除默认考试报告
    void deleteReportByExamid(@Param("examid") int examid);

    //获取默认考试报告
    MsrAnalyze getAnalyzeByExamid(@Param("examid") int examid);

    //更改状态
    int updateState(@Param("raid") int raid, @Param("astate") int astate);
}
